#pragma once


#include "HDUSTest_Image/HDUSTest_Image.h"


SIZE_T CalcDIBInfoSize(const BITMAPINFOHEADER *pbmih);
SIZE_T CalcDIBSize(const BITMAPINFOHEADER *pbmih);
HGLOBAL ResizeImage(const BITMAPINFO *pbmiSrc,const void *pSrcData,
									const RECT *pSrcRect,int Width,int Height);


class CImageCodec {
	HMODULE m_hLib;
	SaveImageFunc m_pSaveImage;
public:
	CImageCodec();
	~CImageCodec();
	bool Init();
	bool SaveImage(LPCTSTR pszFileName,int Format,LPCTSTR pszOption,
									const BITMAPINFO *pbmi,const void *pBits);
	LPCTSTR EnumSaveFormat(int Index) const;
	LPCTSTR GetExtension(int Index) const;
	int FormatNameToIndex(LPCTSTR pszName) const;
};
