#define IDI_ICON	10

#define IDM_MENU	20
#define IDM_RECORD	21
#define IDM_CAPTURE	22

#define IDA_ACCEL	30
#define IDA_ACCEL2	31

#define IDB_LOGO	40
#define IDB_CAPTURE	41

#define IDD_ABOUT					50
#define IDD_OPTIONS_GENERAL			51
#define IDD_OPTIONS_VIEW			52
#define IDD_OPTIONS_OPERATION		53
#define IDD_OPTIONS_CAPTURE			54
#define IDD_OPTIONS_NETWORKREMOCON	55
#define IDD_RECORDOPTION			60
#define IDD_RECORDSTOPTIME			61

#define CM_ZOOM_FIRST		100
#define CM_ZOOM_LAST		107
#define CM_ZOOM_25			(CM_ZOOM_FIRST+0)
#define CM_ZOOM_33			(CM_ZOOM_FIRST+1)
#define CM_ZOOM_50			(CM_ZOOM_FIRST+2)
#define CM_ZOOM_66			(CM_ZOOM_FIRST+3)
#define CM_ZOOM_75			(CM_ZOOM_FIRST+4)
#define CM_ZOOM_100			(CM_ZOOM_FIRST+5)
#define CM_ZOOM_150			(CM_ZOOM_FIRST+6)
#define CM_ZOOM_200			(CM_ZOOM_FIRST+7)
#define CM_ASPECTRATIO				110
#define CM_ASPECTRATIO_FIRST		111
#define CM_ASPECTRATIO_LAST			116
#define CM_ASPECTRATIO_DEFAULT		111
#define CM_ASPECTRATIO_16x9			112
#define CM_ASPECTRATIO_LETTERBOX	113
#define CM_ASPECTRATIO_SUPERFRAME	114
#define CM_ASPECTRATIO_SIDECUT		115
#define CM_ASPECTRATIO_4x3			116
#define CM_FULLSCREEN		118
#define CM_ALWAYSONTOP		119
#define CM_VOLUME_UP		120
#define CM_VOLUME_DOWN		121
#define CM_VOLUME_MUTE		122
#define CM_STEREO_THROUGH	125
#define CM_STEREO_LEFT		126
#define CM_STEREO_RIGHT		127
#define CM_STEREOMODE		128
#define CM_RECORD			130
#define CM_RECORD_START		131
#define CM_RECORD_STOP		132
#define CM_RECORDOPTION		133
#define CM_RECORDFILENAME	134
#define CM_ADDRECORDTIME	135
#define CM_RECORDSTOPTIME	136
#define CM_COPY				140
#define CM_SAVEIMAGE		141
#define CM_RESET			142
#define CM_INFORMATION		150
#define CM_STATUSBAR		151
#define CM_TITLEBAR			152
#define CM_DECODERPROPERTY	153
#define CM_OPTIONS			154

#define CM_EXIT				160
#define CM_CHANNEL_UP		170
#define CM_CHANNEL_DOWN		171
#define CM_MENU				172

#define CM_CHANNELNO_FIRST	200
#define CM_CHANNELNO_LAST	(CM_CHANNELNO_FIRST+99)
#define CM_CHANNELNO_1		(CM_CHANNELNO_FIRST+0)
#define CM_CHANNELNO_2		(CM_CHANNELNO_FIRST+1)
#define CM_CHANNELNO_3		(CM_CHANNELNO_FIRST+2)
#define CM_CHANNELNO_4		(CM_CHANNELNO_FIRST+3)
#define CM_CHANNELNO_5		(CM_CHANNELNO_FIRST+4)
#define CM_CHANNELNO_6		(CM_CHANNELNO_FIRST+5)
#define CM_CHANNELNO_7		(CM_CHANNELNO_FIRST+6)
#define CM_CHANNELNO_8		(CM_CHANNELNO_FIRST+7)
#define CM_CHANNELNO_9		(CM_CHANNELNO_FIRST+8)
#define CM_CHANNELNO_10		(CM_CHANNELNO_FIRST+9)
#define CM_CHANNELNO_11		(CM_CHANNELNO_FIRST+10)
#define CM_CHANNELNO_12		(CM_CHANNELNO_FIRST+11)

#define CM_CHANNEL_FIRST	300
#define CM_CHANNEL_LAST		399
#define CM_SPACE_FIRST		400
#define CM_SPACE_LAST		499
#define CM_SERVICE_FIRST	500
#define CM_SERVICE_LAST		599

#define SC_ABOUT			0x1000

#define IDC_VIEW			1000
#define IDC_VIDEOCONTAINER	1001
#define IDC_STATUS			1002

#define IDC_ABOUT_LOGO		1000

#define IDC_OPTIONS_DRIVER						1000
#define IDC_OPTIONS_DECODER						1001
#define IDC_OPTIONS_VMR9						1002
#define IDC_OPTIONS_NODESCRAMBLE				1003
#define IDC_OPTIONS_USEREMOTECONTROLLER			1004
#define IDC_OPTIONS_REMOTECONTROLLERACTIVEONLY	1005
#define IDC_OPTIONS_NOSCREENSAVER				1006
#define IDC_OPTIONS_NOMONITORLOWPOWER			1007
#define IDC_OPTIONS_NOMONITORLOWPOWERACTIVEONLY	1008
#define IDC_OPTIONS_KEEPSINGLETASK				1009
#define IDC_OPTIONS_RESTORECHANNEL				1010
#define IDC_OPTIONS_ADJUSTASPECTRESIZING		1011
#define IDC_OPTIONS_CONFIRMRECCHANNELCHANGE		1012
#define IDC_OPTIONS_CONFIRMRECORDINGEXIT		1013
#define IDC_OPTIONS_NEWHDUSDRIVER				1014

#define IDC_OPTIONS_STATUSBACKCOLOR				1010
#define IDC_OPTIONS_STATUSTEXTCOLOR				1011
#define IDC_OPTIONS_INFOBACKCOLOR				1012
#define IDC_OPTIONS_INFOTEXTCOLOR				1013
#define IDC_OPTIONS_USEOSD						1020

#define IDC_OPTIONS_WHEELMODE					1000
#define IDC_OPTIONS_WHEELSHIFTMODE				1001
#define IDC_OPTIONS_CHANGECH_FUNCTION			1002
#define IDC_OPTIONS_CHANGECH_DIGIT				1003
#define IDC_OPTIONS_CHANGECH_NUMPAD				1004

#define IDC_CAPTUREOPTIONS_SAVEFOLDER			1000
#define IDC_CAPTUREOPTIONS_SAVEFOLDER_BROWSE	1001
#define IDC_CAPTUREOPTIONS_FILENAME				1002
#define IDC_CAPTUREOPTIONS_FORMAT				1003
#define IDC_CAPTUREOPTIONS_JPEGQUALITY_TB		1004
#define IDC_CAPTUREOPTIONS_JPEGQUALITY_EDIT		1005
#define IDC_CAPTUREOPTIONS_JPEGQUALITY_UD		1006
#define IDC_CAPTUREOPTIONS_PNGLEVEL_TB			1007
#define IDC_CAPTUREOPTIONS_PNGLEVEL_EDIT		1008
#define IDC_CAPTUREOPTIONS_PNGLEVEL_UD			1009
#define IDC_CAPTUREOPTIONS_ICONSAVEFILE			1010

#define IDC_NETWORKREMOCON_USE			1000
#define IDC_NETWORKREMOCON_ADDRESS		1001
#define IDC_NETWORKREMOCON_PORT			1002
#define IDC_NETWORKREMOCON_CHANNELFILE	1003

#define IDC_RECORD_FILENAME_LABEL			1000
#define IDC_RECORD_FILENAME					1001
#define IDC_RECORD_FILENAME_BROWSE			1002
#define IDC_RECORD_FILEEXISTS_LABEL			1003
#define IDC_RECORD_FILEEXISTS				1004
#define IDC_RECORD_STOPSPECTIME				1005
#define IDC_RECORD_STOPDATETIME				1006
#define IDC_RECORD_STOPREMAINTIME			1007
#define IDC_RECORD_STOPTIME_TIME			1008
#define IDC_RECORD_STOPTIME_HOUR			1009
#define IDC_RECORD_STOPTIME_HOUR_UD			1010
#define IDC_RECORD_STOPTIME_HOUR_LABEL		1011
#define IDC_RECORD_STOPTIME_MINUTE			1012
#define IDC_RECORD_STOPTIME_MINUTE_UD		1013
#define IDC_RECORD_STOPTIME_MINUTE_LABEL	1014
#define IDC_RECORD_STOPTIME_SECOND			1015
#define IDC_RECORD_STOPTIME_SECOND_UD		1016
#define IDC_RECORD_STOPTIME_SECOND_LABEL	1017

#define IDC_RECORDSTOPTIME_ENABLE		1000
#define IDC_RECORDSTOPTIME_TIME			1001
